Summary: Easy and small radius server with many nice features
Summary(pt_BR): Servidor RADIUS com muitas funcoes.
Name: radiusd-cistron
Version: 1.5.4.3
Release: 1
Source: radiusd-cistron-1.5.4.3-beta11.tar.gz
URL: http://miquels.www.cistron.nl/radius/
Copyright: GPL
Group: Networking/Daemons

%description
RADIUS server with a lot of functions. Short overview: 

- Supports access based on huntgroups
- Multiple DEFAULT entries in users file
- All users file entries can optionally "fall through"
- Caches all config files in-memory
- Keeps a list of logged in users (radutmp file)
- "radwho" program can be installed as "fingerd"
- Logs both UNIX "wtmp" file format and RADIUS detail logfiles
- Supports Simultaneous-Use = X parameter. Yes, this means
  that you can now prevent double logins!

%description -l pt_BR
Servidor RADIUS com muitas funes. Viso geral:

- Suporta acesso baseado em huntgroups
- Multiplas entradas DEFAULT no arquivo de usuarios
- Faz cache de todos os arquivos de configuraco em memoria
- Mantem uma lista dos usuarios conectados (arquivo radutmp)
- O programa radwho pode ser instalado como fingerd
- Registra tanto no formato UNIX wtmp quanto no RADIUS detail
- Suporta o parametro Simultaneous-Use = X. Sim, isto significa
  que voc pode evitar logins duplos!, inclusive com o Cyclades PathRas

%changelog
* Tue Oct 27 1998 Mauricio Mello de Andrade <mandrade@mma.com.br>
- Corrected the script to Start/Stop the Radius under RH5.x
- Included the script to Rotate Radius Logs under RedHat
- Checkrad Utility now works fine with Cyclades PathRas

%prep 
%setup
cd raddb
for f in clients users naslist huntgroups ; do mv $f $f-dist ; done
cd ..
find . -name "*.orig" -exec rm -f {} \;

%build
cd src
make BINDIR=/usr/bin SBINDIR=/usr/sbin
cd ..

%install
install -m755 -o root -g root -d /etc/raddb
cp -f raddb/* /etc/raddb/.
chmod 640 /etc/raddb/clients-dist /etc/raddb/users-dist

install -m 555 -s src/radiusd     -o root -g root /usr/sbin/radiusd
install -m 555 -s src/radwho      -o root -g root /usr/bin/radwho
install -m 555 -s src/raduse      -o root -g root /usr/bin/raduse
install -m 550 -s src/radzap      -o root -g root /usr/sbin/radzap
install -m 550 -s src/radtest     -o root -g root /usr/sbin/radtest
install -m 555    src/checkrad.pl -o root -g root /usr/sbin/checkrad
install -m 555    src/radlast     -o root -g root /usr/bin/radlast
install -m 555 scripts/radwatch   -o root -g root /usr/sbin/radwatch
install -m 555 redhat/rc.radiusd-redhat    -o root -g root /etc/rc.d/init.d/radiusd
install -m 555 redhat/radiusd-logrotate    -o root -g root /etc/logrotate.d/radiusd

install -m 444 -o root -g root doc/radiusd.8     /usr/man/man8/radiusd.8
install -m 444 -o root -g root doc/radwatch.8    /usr/man/man8/radwatch.8
install -m 444 -o root -g root doc/clients.5rad  /usr/man/man5/clients.5
install -m 444 -o root -g root doc/naslist.5rad  /usr/man/man5/naslist.5
install -m 444 -o root -g root doc/radlast.1     /usr/man/man1/radlast.1
install -m 444 -o root -g root doc/radtest.1     /usr/man/man1/radtest.1
install -m 444 -o root -g root doc/raduse.1      /usr/man/man1/raduse.1
install -m 444 -o root -g root doc/radwho.1      /usr/man/man1/radwho.1
install -m 444 -o root -g root doc/radzap.1      /usr/man/man1/radzap.1

rm -f /etc/rc.d/rc3.d/S90radiusd
ln -s ../init.d/radiusd /etc/rc.d/rc3.d/S90radiusd

%post
echo "Remember to tweak /etc/raddb/*-dist ;>"
touch /var/log/radwtmp /var/log/radius.log /var/run/radutmp
chown root.root /var/log/radwtmp /var/log/radius.log /var/run/radutmp
chmod 640 /var/log/radius.log
chmod 644 /var/log/radwtmp
chmod 400 /etc/raddb/naspasswd
mkdir /var/log/radacct
chown root.root radacct
chmod 750 radacct

%files
%doc doc/COPYRIGHT doc/ChangeLog doc/README doc/README.pam doc/README.mysql doc/README.proxy doc/README.usersfile doc/README.simul doc/INSTALL.OLD doc/Makefile.README todo/

%dir /etc/raddb/
/etc/raddb/dictionary
/etc/raddb/dictionary.ascend
/etc/raddb/dictionary.compat
/etc/raddb/dictionary.livingston
/etc/raddb/dictionary.merit
/etc/raddb/clients-dist
/etc/raddb/hints
/etc/raddb/realms
/etc/raddb/naspasswd
/etc/raddb/huntgroups-dist
/etc/raddb/naslist-dist
/etc/raddb/users-dist
/etc/logrotate.d/radiusd

/usr/man/man8/radiusd.8
/usr/man/man8/radwatch.8
/usr/man/man5/clients.5
/usr/man/man5/naslist.5
/usr/man/man1/radlast.1
/usr/man/man1/radtest.1
/usr/man/man1/raduse.1
/usr/man/man1/radwho.1
/usr/man/man1/radzap.1

/usr/sbin/radiusd
/usr/bin/radwho
/usr/bin/raduse
/usr/sbin/radzap
/usr/sbin/checkrad
/usr/bin/radlast
/usr/sbin/radtest
/usr/sbin/radwatch

/etc/rc.d/init.d/radiusd
/etc/rc.d/rc3.d/S90radiusd
